<?php
$this->extend('/Common/view');
$this->assign('title', __d('BuzzVouchers', 'Voucher Step %d', [3]));
?>
<?php echo $this->Form->create(null, ['class' => 'validate']); ?>

<div class="content__spacer"></div>

<?php echo $this->element('BuzzVouchers.voucher_basket', ['basket' => $basket]); ?>

<div class="row">
	<div class="col-xs-12">
		<h3><?php echo __d('BuzzVouchers', 'Select your postage option'); ?></h3>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">

		<?php foreach ($deliveryOptions as $deliveryOption): ?>
			<?php echo $this->element('BuzzVouchers.Forms/delivery_option', ['data' => $deliveryOption, 'totalItems' => $basket['GiftVoucherPurchase']['total_items']]); ?>
		<?php endforeach; ?>

	</div>
</div>

<div class="booking__actions">
	<div class="row">
		<div class="col-xs-6">
			<?php echo $this->Html->link(__d('BuzzVouchers', 'Back'), $previousStep, ['class' => 'button button--light background--septenary left']); ?>
		</div>

		<div class="col-xs-6">
			<?php echo $this->Form->button(__('Proceed'), ['class' => 'button button--dark background--senary right']); ?>
		</div>
	</div>
</div>

<?php echo $this->Form->end(); ?>
